Subject: bug#44517: closed (Re: bug#44517: 28.0.50; Can't unselect minibuffer window)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Nov 2020 11:55:02 +0000

Your bug report

#44517: 28.0.50; Can't unselect minibuffer window

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44517: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44517
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44517: 28.0.50; Can't unselect minibuffer window
From: Alan Mackenzie <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Nov 2020 11:54:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Michael.

On Mon, Nov 09, 2020 at 11:50:55 +0100, Michael Heerdegen wrote:
> Michael Heerdegen <[email-masked]> writes:

> > martin rudalics <[email-masked]> writes:

> > > If yours is an optimized build, try with Alan's fix for Bug#44502.

> > Yes, an optimized build.  And the fix has been committed to master.
> > After fetching master and rebuilding I can't reproduce indeed.

> I leave it up to Alan whether this report can already be closed.

Sorry I havn't been in touch again.  I got tied up with another problem
of switching frames, which I eventually solved by putting

    (redirect-frame-focus frame nil)

into my site-start.el at a critical point.

I say this bug should now be closed, and thanks for raising it.  In
fact, I am closing it with this post.  It is good that the patch for bug
#44502 solved this one too.

> Thanks,

> Michael.

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 28.0.50; Can't unselect minibuffer window
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Cc: Alan Mackenzie <[email-masked]>
Date: Sun, 08 Nov 2020 13:28:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

since some days, I experience the following issue: when I call

  (read-from-minibuffer "Enter something: ")

and select a different window, the minibuffer window automatically gets
re-selected after a short period of time.

I did not yet figure out how to reproduce for emacs -Q; with the default
settings, it is not reproducible there.

With my setup, the issue gets fixed when I do

  (setq minibuffer-follows-selected-frame nil)

I CC Alan hoping 2ecbf4cfae, "Allow minibuffer to stay in its original
frame.  Tidy up this area." is related and he can help so that I can get
around finding a recipe or digging further (well, it's Sunday).

TIA,

Michael.

In GNU Emacs 28.0.50 (build 94, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
 of 2020-11-08 built on drachen
Repository revision: 1b2fde216cf9328578b6a6a9a8ce0ce51035304c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix